Bug 149918 - VLAN over bonding prevents normal traffic over bonding
Summary: VLAN over bonding prevents normal traffic over bonding
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-28 20:29 UTC by Hrunting Johnson
Modified: 2015-01-04 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:13:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hrunting Johnson 2005-02-28 20:29:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
If you have a bonding interface (e.g. bond0) and you tag a vlan interface over top of that bond (e.g. bond0.2), all untagged traffic over that interface will cease to function and only the tagged traffic will be sent out.

A tcpdump of the bonded interface will show the outbound traffic.  A tcpdump of the actual physical interface will show nothing.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766_FC3

How reproducible:
Always

Steps to Reproduce:
1. create bond0 and assign IP address
2. create bond0.2 and assign IP address
3.
  

Actual Results:  The box stopped passing traffic over the bonded interface, passing traffic only over the vlan.

Expected Results:  Traffic should pass both over the non-vlan bonded interface and the vlan.

Additional info:

The problem and a patch for it is outlined in this e-mail:

http://marc.theaimsgroup.com/?l=bonding-devel&m=110851153326004&w=2

Comment 1 Dave Jones 2005-04-16 05:13:03 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.